﻿#navRight {
    /* using position:absolute to take this element out of flow
        This element can bump into the left hand nav and line wrap beyond the header on medium sized view ports */
    /* position: absolute;
    right: 20px;*/
    /*This was making the cart overlap with the Español and the Hi, User on the MVC Pages*/
    top: 0px;     
}

#shoppingCart {
    transition: width .5s;
}


.cart-dropdown, .cart-dropdown:hover, .cart-dropdown:focus, .cart-dropdown:active, .nav .open > a, .nav .open > a:hover, .nav .open > a:focus {
    background-color: transparent;
    color: #fff;
    text-decoration: none;
}

.cart-item.bold,
.cart-item {
    font-weight: 1000 !important;
    text-decoration: underline !important;
    color: black;
}

.cart-dropdown {
    padding: 0;
}

    .cart-dropdown:focus {
        -ms-transform: scale(1.01);
        -webkit-transform: scale(1.01);
        opacity: 1;
        transform: scale(1.01);
    }

.dropdown-menu-wide {
    width: 325px;
}



.cart-wrapper {
    padding: 3px 15px 10px 10px;
    margin: 4px;
    font-weight: 700;
    font-family: sans-serif;
    border-radius: 3px;
    line-height: 1;
    height: 42px;
    min-width: 160px;
    text-align: left;
}

#shoppingCartItemCount {
    display: inline-block;
    margin: 8px 5px;
}

.cart-icon {
    font-size: 20px;
}

.cart-bubble {
    background: #fff;
    border-radius: 2px;
    font-size: 12px;
    vertical-align: text-top;
    padding: 2px 6px;
    position: relative;
    color: black;
    left: 5px;
    min-width: 25px;
    display: inline-block;
    bottom: 2px;
    text-align: center;
}

    .cart-bubble:before {
        content: '';
        display: block;
        width: 0;
        height: 0;
        border: inset 5px;
        border-color: transparent #fff transparent transparent;
        border-right-style: solid;
        border-left-width: 0;
        position: absolute;
        top: 50%;
        -webkit-transform: translateY(-50%);
        -khtml-transform: translateY(-50%);
        -moz-transform: translateY(-50%);
        -ms-transform: translateY(-50%);
        -o-transform: translateY(-50%);
        transform: translateY(-50%);
        left: -4px;
    }

#cartCounterTimerComponent {
    margin-left: 10px;
    display: none;
    vertical-align: middle;
    margin: -6px 20px 0 10px;
    max-width: 65px;
}

    #cartCounterTimerComponent.show-elem {
        display: inline-block !important;
    }
    /*Takes element out of flow while animating the wrapper*/
    #cartCounterTimerComponent.absolute {
        position: absolute;
        top: 22px;
    }

    #cartCounterTimerComponent i.fa {
        font-size: 20px;
    }

.cart-counter-timer {
    left: 5px;
    min-width: 38px;
    display: inline-block;
    bottom: 2px;
}

.cart-price {
    font-size: 18px;
    display: inline-block;
    float: right;
    position: relative;
    top: 9px;
    min-width: 35px;
    transition: min-width .5s;
}

.cart-dropdown-menu {
    background-color: #f3f3f3;
    border-radius: 2px;
    margin-top: -1px;
}

button.cart-dropdown, a.cart-dropdown {
    padding: 0;
    border: none;
}

.row-no-padding {
    margin: 0;
    padding: 0;
}

.itemswrapper {
    max-height: 450px;
    overflow: auto;
    margin-top: 5px;
}

.fa-spin {
    animation-duration: 1s;
}

.itemswrapper .table {
    margin-bottom: 0px;
}

.nav-custom-right {
    padding-right: 200px
}

.cart-counter-component {
    padding: 5px 5px 0px 5px;
    top: 3px;
    position: relative;
    min-width: 85px;
    transition: min-width .5s;
}

#hMyCart {
    font-size: 16px;
    display: inline-block;
}

#btnClearCart {
    display: none;
}

.items-wrapper {
    border-bottom: 1px solid #ddd;
}

.cart-empty {
    background-color: white;
    border-top: 1px solid #ddd;
    padding: 4px;
    color: #000000;
}

.cart-table {
    display: none;
    border-top: 1px solid #ddd;
    margin-bottom: 0;
}

.cart-header {
    padding: 4px 8px 3px 8px;
}

#mobile-cart-container button.cart-dropdown {
    top: 0px;
    position:relative;
}

#mobile-cart-container .cart-wrapper {
    height: 39px;
}

#mobile-cart-container #shoppingCartItemCount {
    margin: 6px 5px
}

@media only screen and (max-width: 1400px) {
    .cart-price {
        display: none;
        min-width: 0px; /*for css animation*/
    }

    .cart-wrapper, .cart-counter-component {
        min-width: 80px;
        text-align: left;
    }
}


#mobile-cart-container {
    position: absolute;
    top: 0px;
    right: 250px;
    float: none;
    min-width: 1px;

}

@media only screen and (max-width: 1200px) {
    #mobile-cart-container {
        right:100px;
    }
}

@media only screen and (max-width: 576px) {
    .cart-wrapper {
        margin-top: 8px;
        min-width: 40px;
        margin-right: 15px;
        padding: 3px 5px 10px 5px;
    }

    #mobile-cart-container {
        right: 100px;
    }

    .nav > li > a {
        padding: 10px 7px;
    }
}

@media only screen and (min-width: 577px) and (max-width: 768px) {
    .cart-wrapper {
        margin-top: 8px; /*header grows at this view, keeps cart vertically centered*/
        
    }

    #mobile-cart-container {
        right: 100px;
    }
}


@media only screen and (max-width: 500px) {
    .cart-dropdown-menu {
        left: 10px;
        right: 10px;
        top: 50px;
        width: Calc(100% - 20px);
        position: fixed;
    }

    .itemswrapper {
        max-height: 200px;
    }
}

@media only screen and (max-width: 325px) {
    .dropdown-menu-wide {
        width: 290px;
        transform: translateX(15px);
    }
}

@media only screen and (max-width: 500px) {
    li #mobile-cart-container {
        right:60px; /*Prevents it from overlapping with admin Tile on SD*/
    }
}

@media only screen and (max-width: 375px) {
    li #mobile-cart-container {
        right: 47px; /*Prevents it from overlapping with admin Tile on SD*/
    }
}

@media only screen and (max-width: 1600px) {
    button.cart-dropdown {
        left: 135px;
    }
}

@media only screen and (max-width: 1200px) {
    button.cart-dropdown {
        left: 0px;
    }
}
